List shareable assets
curl --request GET \
--url https://api.cloudglue.dev/v1/share \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/share"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"link_preview": "none",
"created_at": 123,
"file_segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"metadata": {},
"visibility": "public",
"preview_url": "<string>",
"media_download_url": "<string>",
"media_download_expires_at": 123,
"share_url": "<string>",
"stream_url": "<string>",
"status": "pending",
"asset_type": "file",
"object": "share"
}
],
"total": 123,
"limit": 123,
"offset": 123
}Share
List Shareable Assets
List shareable assets
GET
/
share
List shareable assets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the file to list shareable assets for
The ID of the file segment to list shareable assets for
Number of shareable assets to return
Required range:
1 <= x <= 100Offset from the start of the shareable assets list
Required range:
x >= 0Filter shareable assets created before a specific date (YYYY-MM-DD format), in UTC timezone
Filter shareable assets created after a specific date (YYYY-MM-DD format), in UTC timezone
Filter shareable assets by visibility. A file can have one public and one private share.
Available options:
public, private Response
200 - application/json
Shareable assets listed successfully